Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Samuli Suominen (drac)" <drac@g.o>
Subject: gentoo-x86 commit in app-misc/slmon: slmon-0.5.13.ebuild ChangeLog
Date: Thu, 24 Jan 2008 18:41:13 +0000
drac        08/01/24 18:41:13

  Modified:             slmon-0.5.13.ebuild ChangeLog
  Log:
  Depend on =sys-libs/slang-1* and keyword for ~amd64.
  (Portage version: 2.1.4)

Revision  Changes    Path
1.3                  app-misc/slmon/slmon-0.5.13.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/slmon/slmon-0.5.13.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/slmon/slmon-0.5.13.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/slmon/slmon-0.5.13.ebuild?r1=1.2&r2=1.3

Index: slmon-0.5.13.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-misc/slmon/slmon-0.5.13.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- slmon-0.5.13.ebuild	14 Apr 2007 16:04:32 -0000	1.2
+++ slmon-0.5.13.ebuild	24 Jan 2008 18:41:13 -0000	1.3
@@ -1,35 +1,37 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/slmon/slmon-0.5.13.ebuild,v 1.2 2007/04/14 16:04:32 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-misc/slmon/slmon-0.5.13.ebuild,v 1.3 2008/01/24 18:41:13 drac Exp $
 
 inherit eutils
 
 DESCRIPTION="Colored text-based system performance monitor"
-HOMEPAGE="http://slmon.sourceforge.net/"
-SRC_URI="http://slmon.sourceforge.net/download/${P}.tar.gz"
+HOMEPAGE="http://slmon.sourceforge.net"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="x86"
+KEYWORDS="~amd64 x86"
 IUSE="debug"
 
-DEPEND=">=dev-libs/glib-2.0"
-RDEPEND="sys-libs/slang
+RDEPEND=">=dev-libs/glib-2
+	=sys-libs/slang-1*
 	gnome-base/libgtop"
+DEPEND="${RDEPEND}
+	dev-util/pkgconfig"
 
 src_unpack() {
 	unpack ${A}
-	cd ${S}
-
+	cd "${S}"
 	epatch "${FILESDIR}"/${P}-invalid-free.patch # bug 151293
 }
 
 src_compile() {
-	econf $(use_enable debug) || die "econf failed"
-	emake || die "emake failed"
+	econf $(use_enable debug)
+	emake || die "emake failed."
 }
 
 src_install() {
-	make DESTDIR="${D}" install || die "make install failed"
-	dodoc AUTHORS ChangeLog INSTALL README TODO
+	emake DESTDIR="${D}" install || die "emake install failed."
+	dodoc AUTHORS ChangeLog README slmonrc TODO
+	dohtml *.html
 }



1.11                 app-misc/slmon/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/slmon/ChangeLog?rev=1.11&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/slmon/ChangeLog?rev=1.11&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/slmon/ChangeLog?r1=1.10&r2=1.11

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-misc/slmon/ChangeLog,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- ChangeLog	14 Apr 2007 16:04:32 -0000	1.10
+++ ChangeLog	24 Jan 2008 18:41:13 -0000	1.11
@@ -1,6 +1,9 @@
 # ChangeLog for app-misc/slmon
-# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/slmon/ChangeLog,v 1.10 2007/04/14 16:04:32 armin76 Exp $
+# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/slmon/ChangeLog,v 1.11 2008/01/24 18:41:13 drac Exp $
+
+  24 Jan 2008; Samuli Suominen <drac@g.o> slmon-0.5.13.ebuild:
+  Depend on =sys-libs/slang-1* and keyword for ~amd64.
 
   14 Apr 2007; Raúl Porcel <armin76@g.o>
   +files/slmon-0.5.13-invalid-free.patch, slmon-0.5.13.ebuild:



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in dev-libs/iksemel: iksemel-1.3.ebuild ChangeLog iksemel-1.2.ebuild
Next by thread:
gentoo-x86 commit in app-misc/slmon: slmon-0.5.13.ebuild ChangeLog
Previous by date:
gentoo-x86 commit in dev-python/pyid3lib: ChangeLog pyid3lib-0.5.1-r1.ebuild
Next by date:
gentoo-x86 commit in sys-process/fcron: fcron-3.0.4.ebuild ChangeLog


Updated Sep 28, 2010

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.